module Elab.WiredIn where

import Syntax

wiType  :: WiredIn -> NFType
wiValue :: WiredIn -> NFType

iand, ior :: NFEndp -> NFEndp -> NFEndp
inot      :: NFEndp -> NFEndp
ielim     :: NFSort -> Value -> Value -> Value -> NFEndp -> Value

outS :: NFSort -> NFEndp -> Value -> Value -> Value
comp :: NFLine -> NFEndp -> Value -> Value -> Value

glueType :: NFSort -> NFEndp -> NFPartial -> NFPartial -> Value
glueElem :: NFSort -> NFEndp -> NFPartial -> NFPartial -> NFPartial -> Value -> Value
unglue   :: NFSort -> NFEndp -> NFPartial -> NFPartial -> Value -> Value